keep getting the Fatal Python error with mod_wsgi and apache

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

keep getting the Fatal Python error with mod_wsgi and apache

Fateh Budwal
Hello Everyone 
 I have complied python 3.8.2 with django 2.2. it run locally fine but when i try to deploy it with Apache and mod_wsgi 4.7.1 and getting the below error. Any suggestions ?  
Current thread 0x00007f5aa48af880 (most recent call first):
no Python frame
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = /var/www/project/venu/bin/python
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = /var/www/project/venu/bin/python
  sys.base_prefix = '/opt/python3.8.2'
  sys.base_exec_prefix = '/opt/python3.8.2'
  sys.executable = '/var/www/project/venu/bin/python
  sys.prefix = '/opt/python3.8.2'
  sys.exec_prefix = '/opt/python3.8.2'
  sys.path = [
    '/opt/python3.8.2/lib/python38.zip',
    '/opt/python3.8.2/lib/python3.8',
    '/opt/python3.8.2/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named encodings

Current thread (most recent call first)

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Hella Nick
你的服务器是安装的python3.8.2的版本吗?

Fateh Budwal <[hidden email]> 于2020年3月26日周四 上午6:03写道:
Hello Everyone 
 I have complied python 3.8.2 with django 2.2. it run locally fine but when i try to deploy it with Apache and mod_wsgi 4.7.1 and getting the below error. Any suggestions ?  
Current thread 0x00007f5aa48af880 (most recent call first):
no Python frame
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = /var/www/project/venu/bin/python
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = /var/www/project/venu/bin/python
  sys.base_prefix = '/opt/python3.8.2'
  sys.base_exec_prefix = '/opt/python3.8.2'
  sys.executable = '/var/www/project/venu/bin/python
  sys.prefix = '/opt/python3.8.2'
  sys.exec_prefix = '/opt/python3.8.2'
  sys.path = [
    '/opt/python3.8.2/lib/python38.zip',
    '/opt/python3.8.2/lib/python3.8',
    '/opt/python3.8.2/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named encodings

Current thread (most recent call first)

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Mike Dewhirst-3
On 26/03/2020 2:29 pm, Hella Nick wrote:
> 你的服务器是安装的python3.8.2的版本吗?
>
> Fateh Budwal <[hidden email] <mailto:[hidden email]>>
> 于2020年3月26日周四 上午6:03写道:
>
>     Hello Everyone
>      I have complied python 3.8.2 with django 2.2.
>

https://docs.djangoproject.com/en/3.0/faq/install/#faq-python-version-support

That page says Python 3.8 support was added in Django 2.2.8 but you
don't mention which Django is installed in production.

>     it run locally fine but when i try to deploy it with Apache and
>     mod_wsgi 4.7.1 and getting the below error. Any suggestions ?
>
>     |Currentthread 0x00007f5aa48af880(most recent call first):no
>     Pythonframe Pythonpath configuration:PYTHONHOME
>     =(notset)PYTHONPATH =(notset)program name
>     =/var/www/project/venu/bin/python isolated =0environment =1user
>     site =1importsite =1sys._base_executable
>     =/var/www/project/venu/bin/python sys.base_prefix
>     ='/opt/python3.8.2'sys.base_exec_prefix
>     ='/opt/python3.8.2'sys.executable
>     ='/var/www/project/venu/bin/python sys.prefix = '/opt/python3.8.2'
>     sys.exec_prefix = '/opt/python3.8.2' sys.path = [
>     '/opt/python3.8.2/lib/python38.zip',
>     '/opt/python3.8.2/lib/python3.8',
>     '/opt/python3.8.2/lib/lib-dynload', ] Fatal Python error:
>     init_fs_encoding: failed to get the Python codec of the filesystem
>     encoding Python runtime state: core initialized
>     ModuleNotFoundError: No module named encodings Current thread
>     (most recent call first)|
>
>     --
>     You received this message because you are subscribed to the Google
>     Groups "Django users" group.
>     To unsubscribe from this group and stop receiving emails from it,
>     send an email to [hidden email]
>     <mailto:[hidden email]>.
>     To view this discussion on the web visit
>     https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com
>     <https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium=email&utm_source=footer>.
>
> --
> You received this message because you are subscribed to the Google
> Groups "Django users" group.
> To unsubscribe from this group and stop receiving emails from it, send
> an email to [hidden email]
> <mailto:[hidden email]>.
> To view this discussion on the web visit
> https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com 
> <https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com?utm_medium=email&utm_source=footer>.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/3e83ae41-7da3-d986-65a0-a4b9f90478e6%40dewhirst.com.au.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Fateh Budwal
i do have django 2.2.8 installed in production.

On Wednesday, March 25, 2020 at 9:36:58 PM UTC-7, Mike Dewhirst wrote:
On 26/03/2020 2:29 pm, Hella Nick wrote:
> 你的服务器是安装的python3.8.2的版本吗?
>
> Fateh Budwal <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">fbu...@... <mailto:<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">fbu...@...>>
> 于2020年3月26日周四 上午6:03写道:
>
>     Hello Everyone
>      I have complied python 3.8.2 with django 2.2.
>

<a href="https://docs.djangoproject.com/en/3.0/faq/install/#faq-python-version-support" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdocs.djangoproject.com%2Fen%2F3.0%2Ffaq%2Finstall%2F%23faq-python-version-support\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNF94hrevOmoGvDn3H3H038wCpu7oQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdocs.djangoproject.com%2Fen%2F3.0%2Ffaq%2Finstall%2F%23faq-python-version-support\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNF94hrevOmoGvDn3H3H038wCpu7oQ&#39;;return true;">https://docs.djangoproject.com/en/3.0/faq/install/#faq-python-version-support

That page says Python 3.8 support was added in Django 2.2.8 but you
don't mention which Django is installed in production.

>     it run locally fine but when i try to deploy it with Apache and
>     mod_wsgi 4.7.1 and getting the below error. Any suggestions ?
>
>     |Currentthread 0x00007f5aa48af880(most recent call first):no
>     Pythonframe Pythonpath configuration:PYTHONHOME
>     =(notset)PYTHONPATH =(notset)program name
>     =/var/www/project/venu/bin/python isolated =0environment =1user
>     site =1importsite =1sys._base_executable
>     =/var/www/project/venu/bin/python sys.base_prefix
>     ='/opt/python3.8.2'sys.base_exec_prefix
>     ='/opt/python3.8.2'sys.executable
>     ='/var/www/project/venu/bin/python sys.prefix = '/opt/python3.8.2'
>     sys.exec_prefix = '/opt/python3.8.2' sys.path = [
>     '/opt/python3.8.2/lib/python38.zip',
>     '/opt/python3.8.2/lib/python3.8',
>     '/opt/python3.8.2/lib/lib-dynload', ] Fatal Python error:
>     init_fs_encoding: failed to get the Python codec of the filesystem
>     encoding Python runtime state: core initialized
>     ModuleNotFoundError: No module named encodings Current thread
>     (most recent call first)|
>
>     --
>     You received this message because you are subscribed to the Google
>     Groups "Django users" group.
>     To unsubscribe from this group and stop receiving emails from it,
>     send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django...@googlegroups.com
>     <mailto:<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django-users+unsubscribe@...>.
>     To view this discussion on the web visit
>     <a href="https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com
>     <<a href="https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium=email&utm_source=footer>.
>
> --
> You received this message because you are subscribed to the Google
> Groups "Django users" group.
> To unsubscribe from this group and stop receiving emails from it, send
> an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django...@googlegroups.com
> <mailto:<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Jp43Q7ccCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django-users+unsubscribe@...>.
> To view this discussion on the web visit
> <a href="https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com
> <<a href="https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAHfGPEeGWB6kdVc65d6s53M-M0KnGS0Er_PFE-pz3tSZco_cGg%40mail.gmail.com?utm_medium=email&utm_source=footer>.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/84e39ab6-1618-447e-b373-49cf1e7903c3%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Fateh Budwal
In reply to this post by Hella Nick
Yes python 3.8.2 is installed 

On Wednesday, March 25, 2020 at 8:30:35 PM UTC-7, Hella Nick wrote:
你的服务器是安装的python3.8.2的版本吗?

Fateh Budwal <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="lZ4qERgZCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">fbu...@...> 于2020年3月26日周四 上午6:03写道:
Hello Everyone 
 I have complied python 3.8.2 with django 2.2. it run locally fine but when i try to deploy it with Apache and mod_wsgi 4.7.1 and getting the below error. Any suggestions ?  
Current thread 0x00007f5aa48af880 (most recent call first):
no Python frame
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = /var/www/project/venu/bin/python
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = /var/www/project/venu/bin/python
  sys.base_prefix = '/opt/python3.8.2'
  sys.base_exec_prefix = '/opt/python3.8.2'
  sys.executable = '/var/www/project/venu/bin/python
  sys.prefix = '/opt/python3.8.2'
  sys.exec_prefix = '/opt/python3.8.2'
  sys.path = [
    '/opt/python3.8.2/lib/python38.zip',
    '/opt/python3.8.2/lib/python3.8',
    '/opt/python3.8.2/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named encodings

Current thread (most recent call first)

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="lZ4qERgZCQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Stephen J. Butler
Did you recreate the virtualenv on the server, or did you copy it from your development machine? You should recreate virtualenv's when deploying to a different server.

On Thu, Mar 26, 2020 at 8:53 AM Fateh Budwal <[hidden email]> wrote:
Yes python 3.8.2 is installed 

On Wednesday, March 25, 2020 at 8:30:35 PM UTC-7, Hella Nick wrote:
你的服务器是安装的python3.8.2的版本吗?

Fateh Budwal <[hidden email]> 于2020年3月26日周四 上午6:03写道:
Hello Everyone 
 I have complied python 3.8.2 with django 2.2. it run locally fine but when i try to deploy it with Apache and mod_wsgi 4.7.1 and getting the below error. Any suggestions ?  
Current thread 0x00007f5aa48af880 (most recent call first):
no Python frame
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = /var/www/project/venu/bin/python
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = /var/www/project/venu/bin/python
  sys.base_prefix = '/opt/python3.8.2'
  sys.base_exec_prefix = '/opt/python3.8.2'
  sys.executable = '/var/www/project/venu/bin/python
  sys.prefix = '/opt/python3.8.2'
  sys.exec_prefix = '/opt/python3.8.2'
  sys.path = [
    '/opt/python3.8.2/lib/python38.zip',
    '/opt/python3.8.2/lib/python3.8',
    '/opt/python3.8.2/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named encodings

Current thread (most recent call first)

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/CAD4ANxXn7oxc-5UOHV7FQd84O5H71GegMgPL1hgca_4mEPgqzA%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: keep getting the Fatal Python error with mod_wsgi and apache

Fateh Budwal
Yes i did recreate my virtualenv.  

On Thursday, March 26, 2020 at 6:58:15 AM UTC-7, Stephen J. Butler wrote:
Did you recreate the virtualenv on the server, or did you copy it from your development machine? You should recreate virtualenv's when deploying to a different server.

On Thu, Mar 26, 2020 at 8:53 AM Fateh Budwal <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="ImstTlg7CQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">fbu...@...> wrote:
Yes python 3.8.2 is installed 

On Wednesday, March 25, 2020 at 8:30:35 PM UTC-7, Hella Nick wrote:
你的服务器是安装的python3.8.2的版本吗?

Fateh Budwal <[hidden email]> 于2020年3月26日周四 上午6:03写道:
Hello Everyone 
 I have complied python 3.8.2 with django 2.2. it run locally fine but when i try to deploy it with Apache and mod_wsgi 4.7.1 and getting the below error. Any suggestions ?  
Current thread 0x00007f5aa48af880 (most recent call first):
no Python frame
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = /var/www/project/venu/bin/python
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = /var/www/project/venu/bin/python
  sys.base_prefix = '/opt/python3.8.2'
  sys.base_exec_prefix = '/opt/python3.8.2'
  sys.executable = '/var/www/project/venu/bin/python
  sys.prefix = '/opt/python3.8.2'
  sys.exec_prefix = '/opt/python3.8.2'
  sys.path = [
    '/opt/python3.8.2/lib/python38.zip',
    '/opt/python3.8.2/lib/python3.8',
    '/opt/python3.8.2/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named encodings

Current thread (most recent call first)

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium=email&amp;utm_source=footer" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/django-users/CAOts0r0qLZLyaFczsQvdKNm45uhhRFYZPwo3uTfMK9Jmy%2B1oNQ%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="ImstTlg7CQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">django...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/django-users/5f39f719-94f3-4f30-a7d3-2a65749af0cf%40googlegroups.com.

--
You received this message because you are subscribed to the Google Groups "Django users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-users/d5d28b14-12d5-41cd-a878-97e6d6157afd%40googlegroups.com.